Index: db_event_handler.php
===================================================================
RCS file: /www/cvs/kernel4_dev/kernel4/db/db_event_handler.php,v
retrieving revision 1.99.2.48.4.3
diff -u -r1.99.2.48.4.3 db_event_handler.php
--- db_event_handler.php	11 Jan 2010 16:54:00 -0000	1.99.2.48.4.3
+++ db_event_handler.php	18 Mar 2010 09:21:07 -0000
@@ -2318,8 +2318,16 @@
 				$fname = $id.'_'.$fname;
 			}
 
+			$field_name = $this->Application->GetVar('field');
 			$fields = $this->Application->getUnitOption($event->Prefix, 'Fields');
-			$upload_dir = $fields[ $this->Application->GetVar('field') ]['upload_dir'];
+
+			if (array_key_exists($field_name, $fields)) {
+				$upload_dir = $fields[$field_name]['upload_dir'];
+			}
+			else {
+				$virtual_fields = $this->Application->getUnitOption($event->Prefix, 'VirtualFields');
+				$upload_dir = $virtual_fields[$field_name]['upload_dir'];
+			}
 
 			if (!is_writable($tmp_path) || !is_writable(FULL_PATH . $upload_dir)) {
 				// 500 Internal Server Error

